# Warehouses

## The Warehouse resource

<table><thead><tr><th width="140">Property</th><th width="195">Type</th><th>Description</th></tr></thead><tbody><tr><td>city</td><td>String (read-only)</td><td>City where the warehouse is located</td></tr><tr><td>country</td><td>String (read-only)</td><td>Country 2-letter <a href="https://en.wikipedia.org/wiki/ISO_3166-1">ISO 3166-1</a> code where the warehouse is located</td></tr><tr><td>id</td><td>Integer (read-only)</td><td>Hive unique ID</td></tr><tr><td>name</td><td>String (read-only)</td><td>Name of the warehouse</td></tr></tbody></table>

## List all warehouses

## Lists all warehouses

<mark style="color:blue;">`GET`</mark> `https://app.hive.app/merchant_api/v1/warehouses`

Returns all merchant's warehouses.

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "data": [
        {
            "id": 1,
            "name": "Office",
            "country": "DE",
            "city": "Berlin"
        },
        {
            "id": 71,
            "name": "Ms. Dale Wyman",
            "country": "VI",
            "city": "Rippintown"
        },
        {
            "id": 72,
            "name": "Ilana Graham",
            "country": "ML",
            "city": "Armstrongshire"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.hive.app/reference/api-reference/warehouses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
